use std::io;

fn convert(temp: f64) -> f64 {
    let mut celsius = temp - 32_f64;
    const FIVE_DIV_NINE: f64 = 5.0 / 9.0;
    celsius *= FIVE_DIV_NINE;
    return celsius;
}

fn main() {
    println!("Fahrenheit to Celsius converter");
    println!("Press \"^C\" to end the program");
    loop {
        let mut input = String::new();
        println!("Please input the temperature in Fahrenheit:");
        io::stdin()
            .read_line(&mut input)
            .expect("Failed to read line");
        let input: f64 = match input.trim().parse() {
            Ok(num) => num,
            Err(_) => continue,
        };
        println!("{}°F is {:.2}°C", input, convert(input)); //Prints the conversion 
                                                            //and rounds to 2 decimals
    }
}
